読者です 読者をやめる 読者になる 読者になる

griffonでe(fx)clipseを試してみる

イマドキのIDE事情 (133) e(fx)clipseでJavaFX 2を試してみよう! | マイナビニュース
なお話を試してみたけど、うまくいかなかったメモ

一応iMacで試した話です〜

まず e(fx)clipse自体の環境構築

  • eclipse3.7環境で作ろうとした=>環境が壊れた
  • eclipse4.1環境で作った=>成功

griffon guideだと


griffon integrate-with --eclipse

griffon install-plugin eclipse-support
な話があるので、実行してみる。

 直前で eclipse-support plugin 自体は更新がかかっていたようで
MLに報告されていたようにエラーにはならない。


 で状況。。

 結局真っ赤なままorz

残課題ですね。。*1
Bindableでエラーって何を通せば良いんだろうね。。
groovy-allは通っているんだけど。。


追記)
ちなみに
 NetBeansは7.1からgriffon自体がなんか立ち上げられなくなった・・・

IDEA版は


griffon integrate-with --intellij
試してみたけどな感じでソース真っ赤っか

 $GRIFFON_HOME$とかの書き方でどうもあっているよう。
Windows + IntelliJ IDEA + GroovyServで快適なGroovy開発環境 - terurouメモ
な書き方が出来るらしい

 うーん。なんか0.9.4 =>0.9.5にかけて大幅変更したから対応間に合ってないのかも。
STSで遣ってくださいな方針なのだろうか・・

*1:一応groffon系のlibも全部通してみたが。。